Skip to main content
PATCH
/
connection
/
{connection_id}
Update Connection
curl --request PATCH \
  --url https://api.pathstack.io/connection/{connection_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "active": true,
  "tags": [
    "<string>"
  ],
  "business_name": "<string>",
  "abn": "<string>",
  "email": "jsmith@example.com"
}
'
{
  "data": {
    "business_name": "<string>",
    "abn": "<string>",
    "email": "<string>",
    "active": true,
    "id": "<string>",
    "tenant_id": "<string>",
    "collection_start_time": "2023-11-07T05:31:56Z",
    "collection_end_time": "2023-11-07T05:31:56Z",
    "configuration": {}
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-api-version
string<date>
default:2024-03-26
Example:

"2024-03-26"

Path Parameters

connection_id
string<uuid>
required

Connection ID of the Connection to be updated

Body

application/json
active
boolean | null
tags
string[] | null
business_name
string | null
abn
string | null
email
string<email> | null

Response

Successful Response

data
ConnectionNoCredentials · object
required

Successful response payload